package com.tutego.insel.ui.swing;

import java.awt.*;
import javax.swing.*;

class MyIcon implements Icon
{
  public void paintIcon( Component c, Graphics g, int x, int y )
  {
    g.setColor( Color.red );
    g.fillOval( x, y, getIconWidth(), getIconHeight() );
  }

  public int getIconWidth()
  {
    return 20;
  }

  public int getIconHeight()
  {
    return 20;
  }
}
